__author__ = 'wolkens'

import math

def vector_add(u, v): # Add two vectors (tuples)
    return (u[0]+v[0], u[1]+v[1], u[2]+v[2])

def vector_subtract(u, v): # Subtract two vectors (tuples)
    return (u[0]-v[0], u[1]-v[1], u[2]-v[2])

def vector_length(v): # Calculate vector length
    return (math.sqrt(v[0]*v[0] + v[1]*v[1] + v[2]*v[2]))

def vector_scale(v, size): # Scale vector (tuple)
    return(size*v[0], size*v[1], size*v[2])

def vector_scalarproduct(u, v): # Add two vectors (tuples)
    return (u[0]*v[0] + u[1]*v[1] + u[2]*v[2])
